#!/bin/sh # # Checks if the 'www' user and group exist. If they don't, then # an attempt is made to create both. # # $FreeBSD: /tmp/pcvs/ports/www/tomcat6/Attic/pkg-install,v 1.1 2003-08-13 11:39:38 znerd Exp $ # # Make sure we're called during the 'make install' process if [ "$2" != "PRE-INSTALL" ]; then exit 0 fi # Set some constants USER=www GROUP=${USER} UID=80 GID=${UID} # See if the group already exists if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then # If not, try to create it if pw groupadd ${GROUP} -g ${GID}; then echo "Added group \"${GROUP}\"." else echo "Adding group \"${GROUP}\" failed..." exit 1 fi fi # See if the user already exists if ! pw usershow "${USER}" 2>/dev/null 1>&2; then # If not, try to create it if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ -s "/sbin/nologin" -d "/nonexistent" \ -c "World Wide Web Owner"; \ then echo "Added user \"${USER}\"." else echo "Adding user \"${USER}\" failed..." exit 1 fi fi exit 0 ntw44/cgit/cgit.cgi/'>cgit logo index : freebsd-ports-gnome
FreeBSD GNOME current development ports (https://github.com/freebsd/freebsd-ports-gnome)
aboutsummaryrefslogtreecommitdiffstats
path: root/graphics/gkrellkam2
Commit message (Expand)AuthorAgeFilesLines
* - Add SHA256pav2005-11-261-0/+1
* Bump PORTREVISION to chase the glib20 shared library update.marcus2005-11-051-1/+1
* Bump PORTREVISION to chase the glib20 shared lib version change.marcus2005-03-121-1/+1
* Bump PORTREVISIONS for all ports that depend on atk or pango to ease in themarcus2004-11-081-1/+1
* Chase the glib20 update, and bump all affected ports' PORTREVISIONs.marcus2004-04-051-1/+1
* Fix LATEST_LINK conflicts:clement2004-03-081-0/+1
* Use PLIST_FILES.trevor2004-02-062-1/+1
* Bump PORTREVISION on all ports that depend on gettext to aid with upgrading.marcus2004-02-041-0/+1
* SIZEify.trevor2004-01-291-0/+1
* - Fix conflicting dependenciespav2003-11-191-3/+1
* Mark BROKEN (see bento logs). These ports are scheduled for removalkris2003-11-031-1/+1
* - Reset maintainership to ports@FreeBSD.orgsergei2003-10-271-1/+1
* BROKEN: Conflicting dependencies (gkrellm and gkrellm2)kris2003-10-231-0/+2
* De-pkg-comment.knu2003-02-212-1/+1